# gdcm::Defs Class Reference

FIXME I do not like the name 'Defs'. More...

`#include <gdcmDefs.h>`

Collaboration diagram for gdcm::Defs:
[legend]

List of all members.

## Public Member Functions

| Defs ()
| ~Defs ()
const IOD & | GetIODFromFile (const File &file) const
IODs & | GetIODs ()
const IODs & | GetIODs () const
const Macros & | GetMacros () const
Macros & | GetMacros ()
const Modules & | GetModules () const
Modules & | GetModules ()
Type | GetTypeFromTag (const File &file, const Tag &tag) const
bool | IsEmpty () const
bool | Verify (const DataSet &ds) const
bool | Verify (const File &file) const

## Static Public Member Functions

static const char * | GetIODNameFromMediaStorage (MediaStorage const &ms)

## Protected Member Functions

void | LoadDefaults ()
void | LoadFromFile (const char *filename)

## Friends

class | Global

## Detailed Description

FIXME I do not like the name 'Defs'.

Note:
  bla

Examples:

  GenerateStandardSOPClasses.cxx, and TraverseModules.cxx.

## Constructor & Destructor Documentation

gdcm::Defs::Defs | ( |  | ) |

gdcm::Defs::~Defs | ( |  | ) |

## Member Function Documentation

const IOD& gdcm::Defs::GetIODFromFile | ( | const File & | file | ) | const

static const char* gdcm::Defs::GetIODNameFromMediaStorage | ( | MediaStorage const & | ms | ) | `[static]`

Examples:
  GenerateStandardSOPClasses.cxx.

const IODs& gdcm::Defs::GetIODs | ( |  | ) | const`[inline]`

IODs& gdcm::Defs::GetIODs | ( |  | ) | `[inline]`

const Macros& gdcm::Defs::GetMacros | ( |  | ) | const`[inline]`

Users should not directly use Macro. Macro are simply a way for DICOM WG to re-use Tables. Macros are conviently wraped within Modules. See gdcm::Module API directly

Macros& gdcm::Defs::GetMacros | ( |  | ) | `[inline]`

Modules& gdcm::Defs::GetModules | ( |  | ) | `[inline]`

const Modules& gdcm::Defs::GetModules | ( |  | ) | const`[inline]`

Type gdcm::Defs::GetTypeFromTag | ( | const File & | file,
|  | const Tag & | tag
| ) |  | const

bool gdcm::Defs::IsEmpty | ( |  | ) | const`[inline]`

void gdcm::Defs::LoadDefaults | ( |  | ) | `[protected]`

void gdcm::Defs::LoadFromFile | ( | const char * | filename | ) | `[protected]`

bool gdcm::Defs::Verify | ( | const File & | file | ) | const

bool gdcm::Defs::Verify | ( | const DataSet & | ds | ) | const

## Friends And Related Function Documentation

friend class Global `[friend]`

The documentation for this class was generated from the following file:

- gdcmDefs.h